package com.cyksj.model.entity;

import lombok.Getter;
import lombok.Setter;

/**
 * 项目名: yhlxj2
 * 文件名: BackInfoTranslations
 * 创建者: JavaZou
 * 创建时间:2024/7/16 14:13
 */
@Getter
@Setter
public class BackInfoTranslations extends BaseEntity{
	/**
	 * 字段名
	 */
	private String fieldName;

	/**
	 * 类型主键id 如平台id
	 */
	private Long funcId;

	/**
	 * 类型
	 */
	private Integer type;

	private String lang;

	/**
	 * 英文表述
	 */
	private String desp;


	@Getter
	public enum Type {
		goods("商品"),
		sku("规格"),
		spec("一级规格"),
		coupon("优惠券"),
		coupon_classification("优惠券分类"),
		goods_category("平台分类"),
		home_config("首页配置")
		;
		String remark;

		Type(String remark) {
			this.remark = remark;
		}
	}
}
